petsc-3.10.5 2019-03-28
Report Typos and Errors

# CharacteristicRegister

Adds a solver to the method of characteristics package.

### Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicRegister(const char sname[],PetscErrorCode (*function)(Characteristic))

Not Collective

### Input Parameters

| name_solver | - name of a new user-defined solver
| routine_create | - routine to create method context

### Sample usage

        CharacteristicRegister("my_char", MyCharCreate);

Then, your Characteristic type can be chosen with the procedural interface via

        CharacteristicCreate(MPI_Comm, Characteristic* &char);
        CharacteristicSetType(char,"my_char");

or at runtime via the option

        -characteristic_type my_char

### Notes

CharacteristicRegister() may be called multiple times to add several user-defined solvers.

### Keywords

Characteristic, register

### See Also

CharacteristicRegisterAll(), CharacteristicRegisterDestroy()

### Level

advanced

### Location

src/ts/characteristic/interface/characteristic.c
Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages